Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v2
Class ProviderRegistrationInfo

    java.lang.Object
      |
      +--oracle.portal.provider.v2.ProviderRegistrationInfo

public class ProviderRegistrationInfo
extends java.lang.Object

Represents registration information sent from the portal to the provider.

Constructor Summary
`ProviderRegistrationInfo()` Default constructor
`ProviderRegistrationInfo(ProviderSubscription subscription, java.lang.String key)` Create a new subscriber instance using a ProviderSubscription and key.
`ProviderRegistrationInfo(java.lang.String subscriptionId, java.lang.String key)` Create a new subscriber instance using the passed ID and key.

Method Summary
`java.lang.String` | `getEncryptionKey()` Gets the encryption key
`ProviderSubscription` | `getSubscription()` Gets the subscription information associated with this registration information
`java.lang.String` | `getSubscriptionKey()` Convenience method to get the subscription Id
`void` | `setEncryptionKey(java.lang.String key)` Sets the encryption key.
`void` | `setSubscription(ProviderSubscription subscription)` Sets the subscriber Id.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProviderRegistrationInfo

    public ProviderRegistrationInfo()

  Default constructor

### ProviderRegistrationInfo

    public ProviderRegistrationInfo(java.lang.String subscriptionId,
                                    java.lang.String key)

  Create a new subscriber instance using the passed ID and key.
  Parameters:
    `subscriberId` - identifier representing this portal or subscription.

    Subscriptions are specified at the provider instance level

    `key` - encryption key the portal should use to encrypt all subsequent requests to this provider instance

### ProviderRegistrationInfo

    public ProviderRegistrationInfo(ProviderSubscription subscription,
                                    java.lang.String key)

  Create a new subscriber instance using a ProviderSubscription and key.
  Parameters:
    `subscription` - identifier representing a specific subscription. Subscriptions are specified at the provider instance level
    `key` - encryption key the portal should use to encrypt all subsequent requests to this provider instance

Method Detail

### getSubscription

    public ProviderSubscription getSubscription()

  Gets the subscription information associated with this registration information
  Returns:
    the subscription information

### getSubscriptionKey

    public java.lang.String getSubscriptionKey()

  Convenience method to get the subscription Id
  Returns:
    equivalent to getSubscription().getId();

### setSubscription

    public void setSubscription(ProviderSubscription subscription)

  Sets the subscriber Id. Used if object created via null constructor.
  Parameters:
    `subscriberId` - the subscriberId

### getEncryptionKey

    public java.lang.String getEncryptionKey()

  Gets the encryption key
  Returns:
    the key

### setEncryptionKey

    public void setEncryptionKey(java.lang.String key)

  Sets the encryption key. Used if object created via null constructor.
  Parameters:
    `key` - the key

Overview | Package | Class | Tree | Deprecated | Index | Help
| The PDK Java API is part of the Portal Developer Kit on Portal Studio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2002, Oracle Corporation. All Rights Reserved.